import { digitToChinese } from '@/utils/transform';

// 练习名称
export const exerciseNames = { select: '选择题', fill: '填空题', judge: '判断题' };

// 题型选项
export const questionTypeOption = [
  {
    value: 'base',
    label: '基础题型',
    children: [
      { label: '选择题', value: 'select' },
      { label: '判断题', value: 'judge' },
      { label: '填空题', value: 'fill' },
      { label: '排序题', value: 'sort' },
      { label: '连线题', value: 'line' },
      { label: '问答题', value: 'answer' },
      { label: '填表题', value: 'table' }
    ]
  },
  {
    value: 'hear',
    label: '听力题',
    children: [
      { label: '听后选择', value: 'hear_select' },
      { label: '听后判断', value: 'hear_judge' },
      { label: '听后填空', value: 'hear_fill' },
      { label: '自定义听力题', value: 'hear_custom' }
    ]
  },
  {
    value: 'spoken',
    label: '口语题',
    children: [
      { label: '朗读题', value: 'read_aloud' },
      { label: '听后复述', value: 'repeat' },
      { label: '回答问题', value: 'spoken_answer' },
      { label: '看图说话', value: 'spoken_picture' },
      { label: '对话练习', value: 'spoken_dialogue' },
      { label: '自定义口语', value: 'spoken_custom' }
    ]
  },
  {
    value: 'read',
    label: '阅读题'
  },
  {
    value: 'write',
    label: '写作题'
  },
  {
    value: 'chinese',
    label: '汉字题'
  }
];

// 选项类型
export const optionTypeList = [
  { value: 'letter', label: '字母' },
  { value: 'number', label: '数字' },
  { value: 'chinese', label: '中文数字' }
];

// 计算选项方法
export const computeOptionMethods = {
  [optionTypeList[0].value]: (i) => String.fromCharCode(97 + i),
  [optionTypeList[1].value]: (i) => i + 1,
  [optionTypeList[2].value]: (i) => digitToChinese(i + 1)
};

// 题干类型
export const stemTypeList = [
  { value: 'text', label: '纯文本' },
  { value: 'rich', label: '富文本' }
];

// 分值类型
export const scoreTypeList = [
  { value: 'aggregate', label: '总分' },
  { value: 'subdivision', label: '细分' }
];

// 选择类型
export const selectTypeList = [
  { value: 'single', label: '单选' },
  { value: 'multiple', label: '多选' }
];

// 开关选项
export const switchOption = [
  { value: true, label: '开启' },
  { value: false, label: '关闭' }
];

// 题号类型
export const questionNumberTypeList = [
  { value: 'recalculate', label: '重新计算' },
  { value: 'follow', label: '跟随上题' }
];
